# \nre\exceptionsServiceUnavailableException

Exception: Service is unavailable.

## Summary

Methods
Properties
Constants
__construct()
getException()
No public properties found
CODE
MESSAGE
No protected methods found
No protected properties found
N/A
concat()
$exception
N/A

File
  exceptions/ServiceUnavailableException.inc
Package
  Default
Class hierarchy
  \Exception
  \nre\core\Exception
  \nre\exceptions\ServiceUnavailableException

## Tags

author | coderkun olli@coderkun.de

## Constants

### CODE

    CODE

Error code

#

## Tags

None found

### MESSAGE

    MESSAGE

Error message

#

## Tags

None found

## Properties

### $exception

    $exception : \nre\exceptions\Exception

Throws exception

#### Type

\nre\exceptions\Exception

#

## Tags

None found

## Methods

### __construct()

    __construct(\Exception  $exception)

Construct a new exception.

#### Parameters

\Exception | $exception | Exception that has occurred

#

## Tags

None found

### getException()

    getException() : \Exception

Get the exception that hat occurred

#### Returns

\Exception —

Exception that has occurred

#

## Tags

None found

### concat()

    concat(string  $message, string  $name)

Insert the name in a message

#### Parameters

string | $message | Error message
string | $name | Name to insert

#

Inherited from
  \nre\core\Exception

## Tags

None found

### ServiceUnavailableException.inc